# configuration file for generation of html-docu from m-files
#
# Author:   Hartmut Pohlheim
# History:  05.11.2000  file created (parameters for mtree2html2001)
#
# The following options/variables must be changed/adapted:
#   dirmfiles
#   dirhtml
#   csslink
#   texttitleframelayout
#   texttitlefiles
#
# The following options/variables should be adapted:
#   authorfile
#   filenametopframe
#   codeheadmeta

#========================================================================
# Variables (possible keywords: set)
# to use the built-in settings, comment the line using # in first column
#========================================================================

#------------------------------------------------------------------------
# dirmfiles: name of directory containing Matlab m-files
# dirhtml: name of directory to place the html-files into
# exthtml: extension used for the html files (.html or .htm)
#          don't forget the point in front of the extension
#------------------------------------------------------------------------
set dirmfiles = .
set dirhtml = doc-output
set exthtml = .html

#------------------------------------------------------------------------
# authorfile:   name of file containing info about author (in html)
#               if defined, this text is included at the bottom of the 
#               html files
#------------------------------------------------------------------------
set authorfile = /work/soundsoftware-site/extra/soundsoftware/matlab-docs-credit.html

#------------------------------------------------------------------------
# csslink:   text for linking to css file (style sheets)
#            the text defined here is directly included into the head 
#            of the html file
#------------------------------------------------------------------------
set csslink = <link rel=stylesheet type="text/css" href="CSSFILENAME.css" />

#------------------------------------------------------------------------
# links2filescase: this is a bit difficult
#                  Matlab is case sensitive on UNIX, but case insensitive
#                  on Windows. Under UNIX Matlab function calls work 
#                  only, when the case of file name and function call are 
#                  identical, under Windows you can do what you want.
#                  This scripts help you, to keep an exact case in your 
#                  project.
#          exact - internal links are only generated, when case of file 
#                  name and in source code are identical
#            all - case doesn't matter
#     exactupper - same as exact, additionally links are also vreated to 
#                  all upper case function names in source code (often 
#                  used by Mathworks)
#      exactvery - same as exact, additionally info about not matching
#                  case is written to screen (stdout), this can be very 
#                  helpful in cleaning up the case in a project
#------------------------------------------------------------------------
set links2filescase = all

#------------------------------------------------------------------------
# texttitleframelayout:    text of title for frame layout file (whole docu)
#------------------------------------------------------------------------
set texttitleframelayout = Documentation of Matlab Functions of PROJEKTNAME

#------------------------------------------------------------------------
# texttitle/headerindexalldirs: text of title and header for directory index
#------------------------------------------------------------------------
set texttitleindexalldirs = Index of Directories
set textheaderindexalldirs = Index of Directories

#------------------------------------------------------------------------
# texttitle/headerindex:    text of title and header for index file
#------------------------------------------------------------------------
set texttitleindex = A-Z Index of Functions
set textheaderindex = A-Z Index of Functions

#------------------------------------------------------------------------
# texttitle/headerfiles:    text of title and header for files
#                           name of file will be added at the end
#------------------------------------------------------------------------
set texttitlefiles = PROJEKTNAME: Function
set textheaderfiles = Documentation of

#------------------------------------------------------------------------
# frames: whether to use frames in layout (yes or no)
#------------------------------------------------------------------------
set frames = no

#------------------------------------------------------------------------
# filenametopframe: name of file including frame layout (highest level file)
# [default: index]
#------------------------------------------------------------------------
set filenametopframe = index

#------------------------------------------------------------------------
# textjumpindexglobal: text displayed for jump to index of all files
#                      (global)
# textjumpindexlocal:  text displayed for jump to index of files in actual
#                      directory (local)
#------------------------------------------------------------------------
set textjumpindexglobal = Global Index (all files)
set textjumpindexlocal = Local Index (files in subdir)

#------------------------------------------------------------------------
# includesource: include source of m-files in documentation [YES|no]
#------------------------------------------------------------------------
set includesource = yes

#------------------------------------------------------------------------
# usecontentsm: use contents.m files as well for structured
#               (hopefully) index [YES|no]
#------------------------------------------------------------------------
set usecontentsm = no

#------------------------------------------------------------------------
# includesource: write/update contents.m files [yes|NO]
#------------------------------------------------------------------------
set writecontentsm = no

#------------------------------------------------------------------------
# processtree:  parse whole directory tree recursively [YES|no]
#------------------------------------------------------------------------
set processtree = yes

#------------------------------------------------------------------------
# producetree:  produce tree for html-files in same structure than
#		          tree of m-files [yes|NO]
#               if no, all files are saved in the same directory, often 
#               easier for outside linking to files
#------------------------------------------------------------------------
set producetree = no

#------------------------------------------------------------------------
# codebodyindex/files: HTML-code for adding to BODY tag
#                      can be used for defining colors and
#                      backgroundimages of the files
#                      No longer recommended, use the css file
#------------------------------------------------------------------------
set codebodyindex =
set codebodyfiles =

#------------------------------------------------------------------------
# codeheadmeta: HTML-code added in HEAD area, use for supplying META info
#------------------------------------------------------------------------
set codeheadmeta = 

#------------------------------------------------------------------------
# codehr: HTML-code used to define a <HR>, do what you want
#------------------------------------------------------------------------
set codehr = <hr size="3" noshade="noshade" />

#------------------------------------------------------------------------
# codeheader: HTML-code added to <H*> tags, use for centering header text
#             or changing the colour/size/font of the header text
#------------------------------------------------------------------------
set codeheader = align="center"


# End of parameter file
